local mod = foundation.createMod();

-- -- TESTING CHEAT: Change the starting Village Center inventory
 mod:override({
	 Id = "DEFAULT_VILLAGE_CENTER_INVENTORY",
	 Collection = {
         {Resource = "WOOD", Quantity = 100000}, 
         {Resource = "STONE", Quantity = 100000}, 
         {Resource = "PLANK", Quantity = 100000}, 
         {Resource = "BERRIES", Quantity = 100000}, 
         {Resource = "FAITH", Quantity = 100000}, 
         {Resource = "TOOL", Quantity = 100000},
         {Resource = "GOLD", Quantity = 100000},
		 {Resource = "POLISHED_STONE", Quantity = 100000}
     }
 })

 mod:override({
     Id = "DEFAULT_BALANCING",
     InitialFamilyCount = 20,
 })

-------------------------------------------------------
--[[====================DOFILES====================]]--
-------------------------------------------------------

mod:dofile("scripts/flowers.lua")
mod:dofile("scripts/trees.lua")
mod:dofile("scripts/statues.lua")
mod:dofile("scripts/texturePack.lua")

-----------------------------------------------------------
--[[====================REG ASSETTS====================]]--
-----------------------------------------------------------

mod:registerAssetProcessor("models/Scenery.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

mod:registerEnumValue ("BUILDING_PART_TYPE", "DECO")

--------------------------------------------------------
--[[====================MONUMENT====================]]--
--------------------------------------------------------

mod:register({
	DataType = "BUILDING", 
	Id = "BEUTIFICATION_SET",
	Name = "BEUTIFICATION_NAME",
	Description = "BEUTIFICATION_DESC",
	BuildingType = "DECORATION",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
	IsEditable = true,
	BuildingPartSetList = {
		{
			Name = "LIST_FLOWERS_NAME",
			BuildingPartList = {
				"BLUE_FLOWERS",
				"PURPLE_FLOWERS",
				"RED_FLOWERS",
				"WHITE_FLOWERS",
				"YELLOW_FLOWERS",
				"PLANTER"
			}
		},
		{
			Name = "LIST_STATUES_NAME",
			BuildingPartList = {
				"FAIRY_STATUE",
				"RAVEN_STATUE",
				"GAZEBO",
				"TALL_LAMP",
				"SHORT_LAMP",
				"WALL_LAMP",
				"FOUNTIAN",
				"BENCH"
			}
		},
		{
			Name = "LIST_TREES_NAME",
			BuildingPartList = {
				"CHERRY_BLOSSOM"
			}
		}
    }
})
